summaryrefslogtreecommitdiff
path: root/target/linux/sunxi/image/gen_sunxi_sdcard_img.sh
diff options
context:
space:
mode:
authorZoltan Herpai <wigyori@uid0.hu>2014-09-14 13:47:42 +0000
committerZoltan Herpai <wigyori@uid0.hu>2014-09-14 13:47:42 +0000
commitfb985d741f0250420f8c90be40c909d6b5083db3 (patch)
treeb1a56252f16e10165bad679d840955571f73201f /target/linux/sunxi/image/gen_sunxi_sdcard_img.sh
parente3cc78e9d8c68953aac8bafdc94f3de98f2f2bb9 (diff)
downloadmtk-20170518-fb985d741f0250420f8c90be40c909d6b5083db3.zip
mtk-20170518-fb985d741f0250420f8c90be40c909d6b5083db3.tar.gz
mtk-20170518-fb985d741f0250420f8c90be40c909d6b5083db3.tar.bz2
sunxi: add sdcard image generation support when board profile is selected
Signed-off-by: Zoltan HERPAI <wigyori@uid0.hu> SVN-Revision: 42534
Diffstat (limited to 'target/linux/sunxi/image/gen_sunxi_sdcard_img.sh')
-rwxr-xr-xtarget/linux/sunxi/image/gen_sunxi_sdcard_img.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/target/linux/sunxi/image/gen_sunxi_sdcard_img.sh b/target/linux/sunxi/image/gen_sunxi_sdcard_img.sh
new file mode 100755
index 0000000..06957a5
--- /dev/null
+++ b/target/linux/sunxi/image/gen_sunxi_sdcard_img.sh
@@ -0,0 +1,35 @@
+#!/usr/bin/env bash
+
+#
+# Copyright (C) 2013 OpenWrt.org
+#
+# This is free software, licensed under the GNU General Public License v2.
+# See /LICENSE for more information.
+#
+
+set -x
+[ $# == 6 ] || {
+ echo "SYNTAX: $0 <file> <bootfs image> <rootfs image> <bootfs size> <rootfs size> <u-boot image>"
+ exit 1
+}
+
+OUTPUT="$1"
+BOOTFS="$2"
+ROOTFS="$3"
+BOOTFSSIZE="$4"
+ROOTFSSIZE="$5"
+UBOOT="$6"
+
+head=4
+sect=63
+
+set `ptgen -o $OUTPUT -h $head -s $sect -l 1024 -t c -p ${BOOTFSSIZE}M -t 83 -p ${ROOTFSSIZE}M`
+
+BOOTOFFSET="$(($1 / 512))"
+BOOTSIZE="$(($2 / 512))"
+ROOTFSOFFSET="$(($3 / 512))"
+ROOTFSSIZE="$(($4 / 512))"
+
+dd bs=1024 if="$UBOOT" of="$OUTPUT" seek=8 conv=notrunc
+dd bs=512 if="$BOOTFS" of="$OUTPUT" seek="$BOOTOFFSET" conv=notrunc
+dd bs=512 if="$ROOTFS" of="$OUTPUT" seek="$ROOTFSOFFSET" conv=notrunc